This currently won't work with Apache unaided. The manual things I
have to do to make it work are:

To configure this module you must use:

--enable-tls
--with-ssl=/path/to/ssl/library

For example:

--enable-tls
--with-ssl=/home/rbb/openssl-0.9.6

NOTE:  You must be using OpenSSL 0.9.6 or later in order for this to work.

Then all you need is "TLSFilter on" and "TLSCertificateFile <file>" in
your config, and you are away (note that the cert file must also
contain the private key at present).

Ben Laurie, 11 Feb 2001.


Win32 plays an entirely different build game.  mod_tls.dsp must be built
by choosing it from within the Apache.dsw workspace.  A mod_tls.mak is
provided, but has the same limitations as building the .dsp 'project'.

Unpack or checkout the openssl sources into the directory srclib/openssl,
and follow the build directions for your compiler/assembler/cpu.  In the 
workspace viewer (File list view) right click on mod_tls to build the 
module.  The output (based on your choice) will fall in the directory 
modules/tls/[Debug|Release]/mod_tls.so.  The openssl output is all in
the directory srclib/openssl/out32dll.

Copy the ssleay32.dll and libeay32.dll files to your target Apache2/bin 
install path from srclib/openssl/out32dll (you may also desire openssl.exe)
and copy mod_tls.so into your Apache2/modules directory.

This could be improved at some point, but not by myself at this moment.

William Rowe, 11 Jun 2001
